Package com.io7m.idstore.server.main

# Class IdServerMain

java.lang.Object
com.io7m.idstore.server.main.IdServerMain

All Implemented Interfaces:
  `Runnable`

public final class IdServerMain extends Object implements Runnable
IdServerMain command line entry point.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerMain(String[] inArgs)`
  The main entry point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Stream<String>`
  `commandNames()`
  `SortedMap<String,com.io7m.claypot.core.CLPCommandType>`
  `commands()`
  `Optional<Exception>`
  `exitCause()`
  `int`
  `exitCode()`
  `static void`
  `main(String[] args)`
  The main entry point.
  `static int`
  `mainExitless(String[] args)`
  The main (exitless) entry point.
  `void`
  `run()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerMain

    public IdServerMain(String[] inArgs)
    The main entry point.
    Parameters:
      `inArgs` - Command-line arguments

- ## Method Details

  - ### main

    public static void main(String[] args)
    The main entry point.
    Parameters:
      `args` - Command line arguments

  - ### mainExitless

    public static int mainExitless(String[] args)
    The main (exitless) entry point.
    Parameters:
      `args` - Command line arguments
    Returns:
      The exit code

  - ### exitCode

    public int exitCode()
    Returns:
      The program exit code

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### commandNames

    public Stream<String> commandNames()
    Returns:
      The names of the available commands

  - ### commands

    public SortedMap<String,com.io7m.claypot.core.CLPCommandType> commands()
    Returns:
      The available commands

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### exitCause

    public Optional<Exception> exitCause()
    Returns:
      The exception that caused the exit